aboutsummaryrefslogtreecommitdiffstats
path: root/dist-tools/htmldoc
diff options
context:
space:
mode:
Diffstat (limited to 'dist-tools/htmldoc')
-rwxr-xr-xdist-tools/htmldoc7
1 files changed, 7 insertions, 0 deletions
diff --git a/dist-tools/htmldoc b/dist-tools/htmldoc
new file mode 100755
index 00000000..b16af17f
--- /dev/null
+++ b/dist-tools/htmldoc
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -eu
+type htmldoc >/dev/null 2>&1 && case "$(type htmldoc)" in
+*"$(realpath $(dirname $0))"*) ;; # ignore re-executing ourselves to avoid unterminated recursion
+*) exec htmldoc "$@" ;;
+esac
+exec flatpak run --filesystem=host org.msweet.htmldoc "$@"